# Thesis Manuscript

By Jean-Marie Mineau, supervised by Jean-François Lalande and Valérie Viet Triem Tong, at CentraleSupélec, campus Rennes.

## Build

Currently build on [typst](https://github.com/typst/typst) 0.13.1.

To build, you need to install the template: <https://git.mineau.eu/histausse/template-thesis-matisse>

```
mkdir -p ~/.local/share/typst/packages/local/template-thesis-matisse/
git clone https://git.mineau.eu/histausse/template-thesis-matisse.git ~/.local/share/typst/packages/local/template-thesis-matisse/0.0.1
```

Alternatively, for easier access to the template:

```
mkdir -p ~/.local/share/typst/packages/local/template-thesis-matisse/
git clone https://git.mineau.eu/histausse/template-thesis-matisse.git
ln -s $(pwd)/template-thesis-matisse ~/.local/share/typst/packages/local/template-thesis-matisse/0.0.1
```

Then to build the manuscript:

```
typst compile main.typ
```

Additionally, the argument `--input commit=$(git rev-parse --short HEAD)` will add the current commit at the beginning of the draft, and `--input draft=false` will build the clean version, without TODOs or line numbers.


The CI should build the latest draft at <https://git.mineau.eu/api/packages/these-ammii/generic/thesis/latest/draft.pdf>
